Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1298301

Summary: Review Request: nodejs-spdx-correct - Correct invalid SPDX identifiers
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, piotr1212, tom, zbyszek
Target Milestone: ---Flags: zbyszek: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-01-15 12:47:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1298307, 1298269    
Bug Blocks: 956806, 1298310    

Description Jared Smith 2016-01-13 17:13:29 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-spdx-correct/nodejs-spdx-correct.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-spdx-correct/nodejs-spdx-correct-1.0.2-1.fc24.src.rpm
Description: Correct invalid SPDX identifiers
Fedora Account System Username: jsmith

Comment 1 Jared Smith 2016-01-13 17:38:35 UTC
This package also depends on a newer version of nodejs-spdx-license-ids.

Comment 2 Zbigniew Jędrzejewski-Szmek 2016-01-13 21:26:43 UTC
%description should start with a capital letter and end with a dot.
Please put something there that it not the same as %summary.

+ license is OK (apache 2.0)
+ license is specified correctly
+ latest version
+ builds and installs OK
+ spec file looks fine
+ fedora-review is happy
+ provides/requires look sane

rpmlint is OK:
nodejs-spdx-correct.noarch: W: only-non-binary-in-usr-lib
nodejs-spdx-correct.noarch: W: dangling-symlink /usr/lib/node_modules/spdx-correct/node_modules/spdx-license-ids /usr/lib/node_modules/spdx-license-ids
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Package is APPROVED.

Comment 3 Patrick Uiterwijk 2016-01-14 23:16:59 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-spdx-correct